Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.siebeleaiadapter.message
Interface ISiebelEAIHttpRequestResponse

All Superinterfaces:
  ISiebelEAIHttpRequest

    public interface ISiebelEAIHttpRequestResponse

extends ISiebelEAIHttpRequest

Object Type Definition for response messages.

Version:
  $Revision: 1.1 $

Method Summary
`java.lang.String` | `getHttpReplyBody()` Retrieve the content used to generate the HTTP response's body.
`java.lang.String` | `getHttpReplyContentType()` Retrieve the value used to generate the HTTP response's Content-Type header.
`void` | `setHttpReplyBody(java.lang.String reply)` Specify the content of the HTTP response's body.
`void` | `setHttpReplyContentType(java.lang.String type)` Specify the value of the HTTP response's Content-Type header.

Methods inherited from interface com.stc.connector.siebeleaiadapter.message.ISiebelEAIHttpRequest
`getHttpStatusCode, getRequestData, getRequestData, getRequestDataByteInputStream, getRequestDataBytes, getRequestDataReader, getRequestDataReader, respond, setHttpBadRequestStatusCode, setHttpInternalErrorStatusCode, setHttpOkStatusCode, setHttpServiceNotAvailableStatusCode, setHttpStatusCode`

Method Detail

### setHttpReplyBody

    void setHttpReplyBody(java.lang.String reply)

  Specify the content of the HTTP response's body.

  Parameters:
    `reply` - Text for response body.

### getHttpReplyBody

    java.lang.String getHttpReplyBody()

  Retrieve the content used to generate the HTTP response's body.

  Returns:
    Text set by the last call to `setHttpReplyBody(java.lang.String)`, or `null` if `setHttpReplyBody` has not been called.

### setHttpReplyContentType

    void setHttpReplyContentType(java.lang.String type)

  Specify the value of the HTTP response's Content-Type header. The specified content type should be agreeable with the response body content supplied, or will be supplied, by a call to `setHttpReplyBody(java.lang.String)`.

  Parameters:
    `type` - Value to use for the Content-Type header.

### getHttpReplyContentType

    java.lang.String getHttpReplyContentType()

  Retrieve the value used to generate the HTTP response's Content-Type header.

  Returns:
    Text set by the last call to `setHttpReplyContentType(java.lang.String)`, or some implementation-defined default value, if `setHttpReplyContentType` has not been called.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.